#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Importer
Summary:	Importer - Alternative but compatible interface to modules that export symbols
Summary(pl.UTF-8):	Importer - alternatywny, ale kompatybilny interfejs do modułów eksportujących symbole
Name:		perl-Importer
Version:	0.026
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/E/EX/EXODIST/Importer-%{version}.tar.gz
# Source0-md5:	3f09930b82cadfe26d0ce2fb1338aa1b
URL:		https://metacpan.org/release/Importer
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.98
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module acts as a layer between Exporter and modules which consume
exports. It is feature-compatible with Exporter, plus some much needed
extras. You can use this to import symbols from any exporter that
follows Exporters specification. The exporter modules themselves do
not need to use or inherit from the Exporter module, they just need to
set @EXPORT and/or other variables.

%description -l pl.UTF-8
Ten moduł działa jako warstwa między Exporterem a modułami
pobierającymi wyeksportowane symbole. Jest zgodny co do możliwości z
Exporterem, zawiera też trochę dodatków. Można go użyć do importowania
symboli od dowolnego eksportera zgodnego ze specyfikacją Exportera.
Moduły eksportujące nie muszą wykorzystywać ani dziedziczyć z modułu
Exporter, muszą tylko ustawić @EXPORT i/lub inne zmienne.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.md
%{perl_vendorlib}/Importer.pm
%{_mandir}/man3/Importer.3pm*
%changelog
* Tue May 18 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Importer.git;a=log;h=master

* Mon May 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 8952ee5
- updated to 0.026

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 4ddfd82
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Oct 04 2018 Jakub Bogusz <qboosh@pld-linux.org> e7c6b98
- updated to 0.025

* Sat Nov 26 2016 Jakub Bogusz <qboosh@pld-linux.org> 2aed74e
- pl

* Sun Oct 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> bf162ad
- initial

